# MapGIS Client for JavaScript API

Cesium MapboxGL Leaflet OpenLayers
API文档

    class FeatureRender {
      constructor() {}

      /**
       * @description: 绘制要素
       * @param {*} innerLayer
       * @param {*} features
       * @return {*}
       */
      drawFeature(innerLayer, features) {}

      /**
       * @description: 更新要素
       * @param {Object} innerLayer
       * @param {Array<Feature>} features
       * @param {Array<Object>} updateDetail 要素更新细节
       * @return {*}
       */
      updateFeature(innerLayer, features, updateDetail) {}

      /**
       * @description: 清除要素
       * @param {*} innerLayer
       * @param {*} features
       * @return {*}
       */
      clearFeature(innerLayer, features) {}

      /**
       * @description: 清空上下文图层
       * @param {*} innerLayer
       * @return {*}
       */
      clear(innerLayer) {}
    }

    export default FeatureRender

构造函数
成员变量
方法
事件